%4/4/15
%Created by Matthew krueger for ENGR 160 
%calculates the capacitance of 2 parallel plates
clc, clear
format short
%aks the use to chode which mode of calculations to do
mode = menu('Select a mode: ','Custom','load dat file','variable');
switch mode
case 1
mode=1;
case 2
mode=2;
case 3
mode=3;
end

%calculate the capacitance of a custom capacitor
if mode == 1
%Get the length and width of the plates
L = input('What is the Lenth of the plates(mm)? = ');
W = input('What is the Width of the plates(mm)? = ');
%convert mm to m
L=L/1000;
W=W/1000;
%calculate the area of the plates
A=L*W;
%request the distance between the plates
D= input('What is the distance between the plates (mm)? = ');
%calculate the dielectric
k= dielecc;
%convert mm to m
D=D/1000;
%calculate the capacitance in Farads
C=PPC(k,A,D);

format short
%convert to different units of capacitance
F= C;
uF= C*1e6;
nF= C*1e9;
pF= C*1e12;
%display the results
fprintf ('\n')
fprintf ('capacitance is %f F \n', F)
fprintf ('capacitance is %f uF \n', uF)
fprintf ('capacitance is %f nF \n', nF)
fprintf ('capacitance is %f pF \n', pF)

%calculate the capacitance of a data file (sample included)
elseif mode == 2
     load capspecs.mat
     C=PPC(k,A,D);
%convert to different units
F= C;
uF= C*1e6;
nF= C*1e9;
pF= C*1e12;
%display the results
fprintf ('\n')
fprintf ('capacitance is %f F \n', F)
fprintf ('capacitance is %f uF \n', uF)
fprintf ('capacitance is %f nF \n', nF)
fprintf ('capacitance is %f pF \n', pF)

%calculate the capacitance using a variable
elseif mode == 3
    %request which variable to use
    disp ('which variable would you like to vary?')
    %create a menu for the user to select the variable to use
    var = menu('Select a variable: ','area','dielectric constant','distance between plates');
switch var
case 1
var=1;
case 2
var=2;
case 3
var=3;
end

%if the user selects the area variabe
if var==1
    %state the constants used
    disp('if the dielectric constat is air (1.0006) and the distance between plates is 1mm,')
    %request the max value to calculate to
    a=input ('what is the max area of the plates (m^2)? =');
    %set the values
    A=[0:.0001:a];
    k=1.0006;
    D=.001;
    %calculate the capacitance
    C=PPC(k,A,D);
%Graph the results
plot (A,C, '--bs')
xlabel ('capacitance')
ylabel ('area')

%if the user selects the dielectric constant variabe
elseif var == 2
    %state the constants used
    disp('area is 100mm^2 (.0001m^2) and the distance between plates is 1mm,')
    %request the max value to calculate to
    K=input ('what is the max Dielectric constant =');
    %set the values
    D=.001;
    k=[0:.5:K];
    A=.0001;
    %calculate the capacitance
    C=PPC(k,A,D);
%Graph the results
plot (k,C, '--bs')
xlabel ('capacitance')
ylabel ('Dielectric constant')

%if the user selects to have a variable distance
elseif var == 3
    %state the constants used
    disp('area is 100mm^2 (.0001m^2) and the dielectric constat is air (1.0006)')
    %request the max value to calculate to
    d=input ('what is the max distance between plates (mm) =');
    %convert to m
    d=d/1000;
    %set the values
    D=0:.0001:d;
    k=1.0006;
    A=.0001;
    %calculate the capacitance
    C=PPC(k,A,D);
%Graph the results
plot (D,C, '--bs')
ylabel ('capacitance')
xlabel ('Distance')

end
end    